import { DateTime } from 'luxon';
import Vue from 'vue';

export function fmtDateTime(v) {
    if (v == null) {
        return '-';
    }
    const date = new Date(v);
    if (Number.isNaN(+date)) {
        return '-';
    }
    return DateTime.fromJSDate(date).toFormat('yyyy/MM/dd HH:mm');
}

export function fmtDeltaDateTime(v) {
    if (v == null) {
        return '-';
    }
    const date = new Date(v);
    if (Number.isNaN(+date)) {
        return '-';
    }
    const now = new Date();
    if (date.getFullYear() === now.getFullYear()) {
        return DateTime.fromJSDate(date).toFormat('MM/dd HH:mm');
    } else {
        return DateTime.fromJSDate(date).toFormat('yyyy/MM/dd HH:mm');
    }
}

Vue.filter('fmtDateTime', fmtDateTime);
Vue.filter('fmtDeltaDateTime', fmtDeltaDateTime);
